AMBIENT(3CgFX)

NAME
Ambient - 3D API ambient

USAGE
Ambient = float4(r, g, b, a)

VALID ENUMERANTS
r, g, b, a: floating point values

DESCRIPTION
Specify the ambient intensity of the entire scene. See the GL_LIGHT_MODEL_AMBIENT description on the OpenGL glLightModel manual page for details. See the D3DRS_AMBIENT render state description for DirectX 9.

The standard reset callback sets the Ambient state to float4(0.2, 0.2, 0.2, 1.0).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
LightModelAmbient